> For the complete documentation index, see [llms.txt](https://offerslook-api.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://offerslook-api.gitbook.io/api-documentation/networkapi/affiliates/sub-resources/payout_adjusting/create_a_payout_adjusting_of_the_affiliate.md).

# Create a  payout adjusting of the affiliate

| HTTP method | Endpoint                                             |
| ----------- | ---------------------------------------------------- |
| **POST**    | **/v1/affiliates/{affiliate\_id}/payout\_adjusting** |

**Note: with this setting, the payout of all offers under this affiliate will follow this rule. (Except the offers with custom affliate payout and APT settings)**

## Path parameters <a href="#path-parameters-0" id="path-parameters-0"></a>

| Parameter     | Description                      |
| ------------- | -------------------------------- |
| affiliate\_id | The unique id for the affiliate. |

## Request body parameters <a href="#request-body-parameters" id="request-body-parameters"></a>

| Field                  | Type    | Description                                                                    | Nullable |
| ---------------------- | ------- | ------------------------------------------------------------------------------ | -------- |
| adjusting\_type        | integer | 1=Increase Rate 2=Decrease Rate                                                | No       |
| percent                | integer | adjusting\_type=1,Allowed values:1-1000 adjusting\_type=2,Allowed values:1-100 | No       |
| adjust\_payout\_switch | integer | 0=close 1=open                                                                 | Yes      |
| limit\_adjust\_payout  | string  | you must set a value if you open adjust\_payout\_switch                        | Yes      |

## Response body parameters <a href="#response-body-parameters" id="response-body-parameters"></a>

| Field                  | Type    | Description          |
| ---------------------- | ------- | -------------------- |
| id                     | integer | Affiliate payout id. |
| aff\_id                | integer | Affiliaite id        |
| adjusting\_type        | integer | adjusting type       |
| percent                | integer | Percent              |
| adjust\_payout\_switch | integer | 0=close 1=open       |
| limit\_adjust\_payout  | string  | limit value          |
| create\_time           | string  | Create time.         |
| update\_time           | string  | update\_time.        |

## Example request <a href="#example-request" id="example-request"></a>

**Request POST** <https://{networkname}.api.offerslook.com/v1/affiliates/5599/payout_adjusting>

**Request POST** <http://{networkname}.api.offerslook.com/v1/affiliates/5599/payout_adjusting>

```
{
    "adjusting_type":"1",
    "percent":11,
    "adjust_payout_switch":1,
    "limit_adjust_payout": 2.000
}
```

## Example response <a href="#example-response" id="example-response"></a>

```
{
    "code": 0,
    "message": "Success",
    "data": {
        "affiliate_payout_adjusting": {
            "id": 4,
            "aff_id": 5599,
            "adjusting_type": 1,
            "percent": 11,
            "adjust_payout_switch":1,
            "limit_adjust_payout": 2.000,
            "create_time": 1562153209,
            "update_time": 1562153209
        }
    }
}
```
